'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

var usePatternLockCleanup = function (patternLockRef) {
    var clear = React.useMemo(function () {
        if (patternLockRef.current) {
            patternLockRef.current.setInitialState();
        }
    }, [patternLockRef]);
    return {
        clear: clear,
    };
};

exports.usePatternLockCleanup = usePatternLockCleanup;
