import { Theme, ThemeParams } from 'react-canvas-pattern-lock';
declare function getDefaultObserveTarget(): HTMLHeadElement;
declare function getColorByToken(token: string): string;
declare const getSizes: () => {
    elementSizes: ThemeParams['dimens'];
    width: number;
    height: number;
};
declare function getTheme(dimens: ThemeParams['dimens']): Theme;
declare function getPatternLockTestIds(dataTestId: string): {
    patternLock: string;
    forgotCodeBtn: string;
    error: string;
    message: string;
};
export { getDefaultObserveTarget, getColorByToken, getSizes, getTheme, getPatternLockTestIds };
